package sh.grimmer.bettershulkers.config;

import com.google.gson.annotations.SerializedName;
import net.minecraft.network.chat.Component;

public enum ShulkerItemDisplayType {
    @SerializedName("none")
    NONE("none"),
    @SerializedName("single_type")
    SINGLE_TYPE("single_type"),
    @SerializedName("bulk")
    BULK("bulk"),
    @SerializedName("first_item")
    FIRST_ITEM("first_item");

    private final Component name;
    private final Component description;

    ShulkerItemDisplayType(String id) {
        String key = "cloth_config.better_shulkers.item_display_type.%s".formatted(id);
        this.name = Component.translatable(key);
        this.description = Component.translatable("%s.description".formatted(key));
    }

    public Component getDisplayName() {
        return name;
    }

    public Component getDescription() {
        return description;
    }
}
